<div>coding game
	{{address.district | uppercase}}
  <p [textContent]="address.state | uppercase"> coding game</p>
  <!-- <input placeholder="please enter lower case" (input)="setMsg($event)"> {{message | uppercase }} marche aussi -->

  <input placeholder="please enter lower case" (input)="setMsg($event.target.value)"> {{message | uppercase }}
  <input placeholder="please enter lower case" [value]="message"> {{message | uppercase }}

  <button (click)="function()" >test</button>
</div>
<div>
  {{message2 }}
  </div>